###

###

###

###

###

###

###

    SETJMP(3)               Library functions               SETJMP(3)

    NAME
           setjmp - save stack context for non-local goto

    SYNOPSIS
           #include <setjmp.h>

           int setjmp(jmp_buf env );

    DESCRIPTION
           setjmp  and  longjmp(3) are useful for dealing with errors
           and interrupts encountered in a low-level subroutine of  a
           program.   setjmp() saves the stack context/environment in
           env for later use by longjmp().  The stack context will be
           invalidated if the function which called setjmp() returns.

    RETURN VALUE
           It returns the value 0 if returning directly and  non-zero
           when returning from longjmp() using the saved context.

    CONFORMING TO
           POSIX

    NOTES
           POSIX does not specify if the signal context will be saved
           or  not.   If  you  want  to  save   signal   masks,   use
           sigsetjmp(3).   setjmp() makes programs hard to understand
           and maintain.  If possible an alternative should be  used.

### SEE ALSO

, sigsetjmp, siglongjmp,

                            November 25, 1994                       1

Top | Master Index | Keywords | Functions

This manual page was brought to you by mjl_man V-2.0